org.bouncycastle.jce.provider

## Class JCERSAPublicKey

- java.lang.Object
- - org.bouncycastle.jce.provider.JCERSAPublicKey

All Implemented Interfaces:
  java.io.Serializable, java.security.interfaces.RSAKey, java.security.interfaces.RSAPublicKey, java.security.Key, java.security.PublicKey

    public class JCERSAPublicKey
    extends java.lang.Object
    implements java.security.interfaces.RSAPublicKey

See Also:
  Serialized Form

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getAlgorithm()`
`byte[]` `getEncoded()`
`java.lang.String` `getFormat()`
`java.math.BigInteger` `getModulus()` return the modulus.
`java.math.BigInteger` `getPublicExponent()` return the public exponent.
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getModulus

    public java.math.BigInteger getModulus()

return the modulus.

Specified by:
  `getModulus` in interface `java.security.interfaces.RSAKey`
Returns:
  the modulus.

#### getPublicExponent

    public java.math.BigInteger getPublicExponent()

return the public exponent.

Specified by:
  `getPublicExponent` in interface `java.security.interfaces.RSAPublicKey`
Returns:
  the public exponent.

#### getAlgorithm

    public java.lang.String getAlgorithm()

Specified by:
  `getAlgorithm` in interface `java.security.Key`

#### getFormat

    public java.lang.String getFormat()

Specified by:
  `getFormat` in interface `java.security.Key`

#### getEncoded

    public byte[] getEncoded()

Specified by:
  `getEncoded` in interface `java.security.Key`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`